Page MenuHomePhabricator

changing-files: add a shorthand property to check for copy relevant info
ClosedPublic

Authored by marmoute on Oct 13 2020, 6:40 AM.

Details

Summary

We are going to reuse this change in more place, so we factor it out first.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Oct 13 2020, 6:40 AM
pulkit added a subscriber: pulkit.Oct 14 2020, 3:23 AM
pulkit added inline comments.
mercurial/changelog.py
95

unrelated change.

mercurial/metadata.py
258

unrelated change here and 4 other similar ones in the file.

Looks like my black version change and it started doing this kind of thing. Thanks for pointing it out.

marmoute updated this revision to Diff 23214.Oct 14 2020, 7:47 PM
marmoute marked 2 inline comments as done.Oct 14 2020, 7:50 PM

the black issue should be fixed now.

pulkit accepted this revision.Oct 15 2020, 8:16 AM
This revision is now accepted and ready to land.Oct 15 2020, 8:16 AM